diff --git a/src/pl/plperl/expected/plperl_elog.out b/src/pl/plperl/expected/plperl_elog.out
index c447fa2..99d447a 100644
--- a/src/pl/plperl/expected/plperl_elog.out
+++ b/src/pl/plperl/expected/plperl_elog.out
@@ -104,3 +104,10 @@ PL/Perl function "indirect_die_caller"
                    2
 (1 row)
 
+create or replace function perl_test_err() returns text
+language plperl as $$
+  elog(ERROR, "Česká chyba ěščřžýáíé");
+$$;
+select perl_test_err();
+ERROR:  Česká chyba ěščřžýáíé at line 2.
+CONTEXT:  PL/Perl function "perl_test_err"
diff --git a/src/pl/plperl/expected/plperl_elog_1.out b/src/pl/plperl/expected/plperl_elog_1.out
index 0932fde..deaf16e 100644
--- a/src/pl/plperl/expected/plperl_elog_1.out
+++ b/src/pl/plperl/expected/plperl_elog_1.out
@@ -104,3 +104,10 @@ PL/Perl function "indirect_die_caller"
                    2
 (1 row)
 
+create or replace function perl_test_err() returns text
+language plperl as $$
+  elog(ERROR, "Česká chyba ěščřžýáíé");
+$$;
+select perl_test_err();
+ERROR:  Česká chyba ěščřžýáíé at line 2.
+CONTEXT:  PL/Perl function "perl_test_err"
diff --git a/src/pl/plperl/sql/plperl_elog.sql b/src/pl/plperl/sql/plperl_elog.sql
index 032fd8b..db3ae8a 100644
--- a/src/pl/plperl/sql/plperl_elog.sql
+++ b/src/pl/plperl/sql/plperl_elog.sql
@@ -76,3 +76,10 @@ return $a + $b;
 $$;
 
 select indirect_die_caller();
+
+create or replace function perl_test_err() returns text
+language plperl as $$
+  elog(ERROR, "Česká chyba ěščřžýáíé");
+$$;
+
+select perl_test_err();
